commit:     82b3efc35ae6101aaf2091e494df834c9fb61dbf
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 10 15:53:56 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Sep 10 16:27:57 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=82b3efc3

dev-python/pytest-twisted: Bump to 1.14.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pytest-twisted/Manifest                 |  1 +
 .../pytest-twisted/pytest-twisted-1.14.3.ebuild    | 56 ++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/pytest-twisted/Manifest 
b/dev-python/pytest-twisted/Manifest
index 4dd9a8e86275..af4d369a51b9 100644
--- a/dev-python/pytest-twisted/Manifest
+++ b/dev-python/pytest-twisted/Manifest
@@ -1 +1,2 @@
 DIST pytest-twisted-1.14.2.gh.tar.gz 17120 BLAKE2B 
d12c00c5a01c8219626f5a85d5cee4b2f0fc27d4dbea5c38e4fa7e374d1ca04098b1e8bc453ff1391415b2999eb1bb1f0472cef85bb4b4b2e50a1d2632cb6177
 SHA512 
51c915dfba829442b68c981f80d42cc22ece12a81388f239211ca73bb76dbfadeec76722df44b2e6b6473a4a3886031846a47b855ef217ed240a7c28d20f6160
+DIST pytest-twisted-1.14.3.gh.tar.gz 17412 BLAKE2B 
00516995770e338ffcbd611d31e96576489cc188aba778913938c0fee511e24df887dc1ba41f5ac63cd85e9efec41a78242dd90705a9769bf7c37130749646c2
 SHA512 
fce003bdf7684a3a3f3bc45d0d7adfbb6350ee7b2f69a35c2ddbd66073e2a993a127fef24008d8300493334543baaf902033316e2c923c6b827a26d0a7356bb6

diff --git a/dev-python/pytest-twisted/pytest-twisted-1.14.3.ebuild 
b/dev-python/pytest-twisted/pytest-twisted-1.14.3.ebuild
new file mode 100644
index 000000000000..c6585205c277
--- /dev/null
+++ b/dev-python/pytest-twisted/pytest-twisted-1.14.3.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="A pytest plugin for testing Twisted framework consumers"
+HOMEPAGE="
+       https://github.com/pytest-dev/pytest-twisted/
+       https://pypi.org/project/pytest-twisted/
+"
+SRC_URI="
+       https://github.com/pytest-dev/pytest-twisted/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+       dev-python/decorator[${PYTHON_USEDEP}]
+       dev-python/greenlet[${PYTHON_USEDEP}]
+       >=dev-python/pytest-2.3[${PYTHON_USEDEP}]
+       dev-python/twisted[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/hypothesis[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # If we let pytest-twisted autoload everywhere, it breaks tests in
+       # packages that don't expect it. Apply a similar hack as for bug
+       # #661218.
+       sed -e 's/"pytest11": \[[^]]*\]//' -i setup.py || die
+
+       # https://github.com/pytest-dev/pytest/issues/9280
+       sed -e '/^pytest_plugins =/d' -i testing/conftest.py || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       local -x PYTEST_PLUGINS=pytest_twisted
+
+       epytest -p pytester
+}

Reply via email to